Create property definitions
POST
/merchants/{merchantCode}/properties
const url = 'https://catalog.shopgate.io/v1/merchants/example/properties';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"properties":[{"code":"weight","name":"Weight","type":"string","isArray":false,"unit":"kg"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/properties \ --header 'Content-Type: application/json' \ --data '{ "properties": [ { "code": "weight", "name": "Weight", "type": "string", "isArray": false, "unit": "kg" } ] }'Add new property definitions
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
properties
required
Array<object>
object
code
required
Code of the product property this definition applies to (matches ProductProperties[].code).
string
Example
weightname
required
string
Example
Weighttype
required
Type of the property. It is immutable once the property definition is created.
string
Example
numberisArray
boolean
unit
string
Example
kgResponses
Section titled “Responses”All property definitions were created
Media typeapplication/json
object
errors
required
Array<object>
object
code
number
entity
string
entityId
string | object
entityIndex
integer
reason
string
catalogCode
string
subentityPath
Array<string | number>
validationErrors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
Example
{ "errors": [ { "code": 400, "entity": "planet", "entityId": "pluto", "entityIndex": 1, "reason": "Planet pluto was not found (did you mean dwarf planet pluto?)", "subentityPath": [ "categories", 0 ], "validationErrors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } ]}Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
